<?php
namespace Teknisa\COZ\Services;

use Teknisa\Libs\Util\Utilities as Util;
use Teknisa\Libs\Util\Environment;
use Teknisa\COZ\Services\Coz07020Repository;

class Coz07020EtiquetaService{
    protected $environment;
    protected $util;
    protected $connection;
    protected $coz07020repository;

    public function __construct(Environment $environment, Util $util, $connection, Coz07020Repository $coz07020repository){
        $this->environment = $environment;
        $this->util = $util;
        $this->connection = $connection;
        $this->coz07020repository = $coz07020repository;
    }
    
    public function calculaEtiqueta($row){
       $retorno = $this->coz07020repository->callProcedureCalculaEtiqueta($row);
       return $retorno;
    }
}